Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SearchChatsOnServer

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Chats>
it.tdlight.jni.TdApi.SearchChatsOnServer

Enclosing class:
  TdApi

public static final class TdApi.SearchChatsOnServer extends TdApi.Function<TdApi.Chats>
Searches for the specified query in the title and username of already known chats via request to the server. Returns chats in the order seen in the main chat list.

Returns `Chats`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`limit`
The maximum number of chats to be returned.
`String`
`query`
Query to search for.

## Constructor Summary

Constructors
Constructor
Description
`SearchChatsOnServer()`
Searches for the specified query in the title and username of already known chats via request to the server.
`SearchChatsOnServer(DataInput input)`
Searches for the specified query in the title and username of already known chats via request to the server.
`SearchChatsOnServer(String query, int limit)`
Searches for the specified query in the title and username of already known chats via request to the server.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### query

public String query
Query to search for.

### limit

public int limit
The maximum number of chats to be returned.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### SearchChatsOnServer

public SearchChatsOnServer()
Searches for the specified query in the title and username of already known chats via request to the server. Returns chats in the order seen in the main chat list.

Returns `Chats`

### SearchChatsOnServer

public SearchChatsOnServer(String query, int limit)
Searches for the specified query in the title and username of already known chats via request to the server. Returns chats in the order seen in the main chat list.

Returns `Chats`

Parameters:
  `query` - Query to search for.
  `limit` - The maximum number of chats to be returned.

  Returns `Chats`

### SearchChatsOnServer

public SearchChatsOnServer(DataInput input) throws IOException
Searches for the specified query in the title and username of already known chats via request to the server. Returns chats in the order seen in the main chat list.

Returns `Chats`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`